<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [levelUpgrade](./bitburner.corporation.levelupgrade.md)

## Corporation.levelUpgrade() method

Level up an upgrade.

**Signature:**

```typescript
levelUpgrade(upgradeName: CorpUpgradeName): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  upgradeName | [CorpUpgradeName](./bitburner.corpupgradename.md) | Name of the upgrade |

**Returns:**

void

## Remarks

RAM cost: 20 GB

